"use strict";

function initServer(done) {
  const SOCKET_READY_DEADLINE_MS = 10000;

  let ws = new WebSocket(`wss://${location.host}/ws/`);

  let timer = setTimeout(function() {
      if (ws.readyState != WebSocket.OPEN) {
        showErrorAndDie("Failed to connect to the Songuess server.");
      }
      ws.onopen = null;
    }, SOCKET_READY_DEADLINE_MS);

  ws.onclose = function(e) {
    showErrorAndDie("Server closed the socket: " + e);
  };

  ws.onopen = function() {
    clearTimeout(timer);
    done(ws);
  };
}
